Bug 489492 - beagle-thunderbird doesn't work in rawhide with thunderbird 3
beagle-thunderbird doesn't work in rawhide with thunderbird 3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
13
All Linux
high Severity urgent
: ---
: ---
Assigned To: Henrique "LonelySpooky" Junior
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 09:33 EDT by Jonathan Kamens
Modified: 2011-06-27 10:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 594004 None None None Never
GNOME Desktop 602308 None None None Never

  None (edit)
Description Jonathan Kamens 2009-03-10 09:33:52 EDT
20090309 11:47:12.6496 06091 Beagle ERROR EX: Caught exception while instantiating Thunderbird backend
20090309 11:47:12.6496 06091 Beagle ERROR EX: System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.DllNotFoundException: libgmime-2.0.so.2.4.3
Comment 1 Jonathan Kamens 2009-04-02 16:30:00 EDT
Surely this is an F11 blocker?
Comment 2 Adel Gadllah 2009-04-02 17:39:15 EDT
Whats the output of
rpm -q gmime-sharp gmime 
and
rpm -ql gmime 
?
Comment 3 Jonathan Kamens 2009-04-02 20:44:12 EDT
jik2:~!1009$ rpm -q gmime-sharp gmime
gmime-sharp-2.4.3-3.fc11.i586
gmime-2.4.3-3.fc11.i586
jik2:~!1010$ rpm -ql gmime
/usr/bin/gmime-uudecode
/usr/bin/gmime-uuencode
/usr/lib/libgmime-2.4.so.2
/usr/lib/libgmime-2.4.so.2.4.3
/usr/share/doc/gmime-2.4.3
/usr/share/doc/gmime-2.4.3/AUTHORS
/usr/share/doc/gmime-2.4.3/COPYING
/usr/share/doc/gmime-2.4.3/README
/usr/share/doc/gmime-2.4.3/TODO
jik2:~!1011$
Comment 4 Adel Gadllah 2009-04-03 10:02:11 EDT
OK, this seems to be an gmime-sharp bug it references the wrong library.

Try replacing "libgmime-2.0.so.2.4.3" with "libgmime-2.4.so.2.4.3" in 
/usr/lib/mono/gac/gmime-sharp/2.4.0.0__2b75c2ad004c52e4/gmime-sharp.dll.config
Comment 5 Jonathan Kamens 2009-04-12 21:23:16 EDT
It's getting farther with that change but still not working.  The beagle icon at the corner of the thunderbird window shows warnings now, and when I click on it to view them, it says, "An error occurred while indexing. Error description: TypeError: this.CurrentFolder.path is undefined."  It doesn't appear to be successfully indexing anything.  I have:

thunderbird-3.0-2.1.beta2.fc11.i586
beagle-thunderbird-0.3.9-6.fc11.i586
gmime-sharp-2.4.3-3.fc11.i586

(with the change you suggested to gmime-sharp.dll.config)
Comment 6 Jason Haar 2009-05-05 15:46:48 EDT
I noticed the same thing on FC11-Preview. I've just edited gmime-sharp.dll.config   as above and it made no difference.

Jason
Comment 7 Jason Haar 2009-05-11 05:09:01 EDT
FYI it also isn't indexing firefox - and yes I do have beagle-firefox installed. I also have beagle-gnome and I know that my pidgin conversations have been nicely indexed and show up just fine - so beagle in general looks OK - it's the FF/TB hooks that are broken. Within the Beagle search applet, clicking on "Index Information" shows "Thunderbird: 0" and makes no mention of Firefox. It does show other things as being indexed - like "manpages" and "applications"

All the beagle RPMS show up as version 0.3.9-6.fc11. 

Jason
Comment 8 Bug Zapper 2009-06-09 08:05:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 udo 2009-06-15 09:33:59 EDT
Also here in Fedora 11 as released.
I threw away all indexing and in Thunderbird I get this error:
this.CurrentFolder.path is undefined

Even after fixing the gmime-sharp.dll.config  

Beagle firefox is not compatible and thus not active.

Please make stuff like this blocking before releasing; this is not the only similar issue that I encounter in this release.
Comment 10 udo 2009-07-02 10:16:12 EDT
Now I see a lot of:

20090629 13:57:22.2968 28433 IndexH  WARN EX: (Repeated) Caught exception trying to execute Beagle.IndexHelper.RemoteIndexerExecutor.  Sending error response

How to proceed?
Comment 11 udo 2009-07-02 10:36:59 EDT
Updating to beagle-thunderbird-0.3.9-8.fc11.x86_64 does not help.
After restarting beagle and thunderbird I get:

An error occurred while indexing. Error description: TypeError: this.CurrentFolder.path is undefined

When I click the triangular sign that is over the beagle icon.
Comment 12 udo 2009-07-03 13:30:50 EDT
$ rpm -qa|grep beagle
libbeagle-0.3.9-3.fc11.x86_64
beagle-firefox-0.3.9-9.fc11.x86_64
beagle-gnome-0.3.9-9.fc11.x86_64
beagle-thunderbird-0.3.9-9.fc11.x86_64
beagle-0.3.9-9.fc11.x86_64

No change, same error.
Comment 13 udo 2009-07-03 13:32:36 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=477639 for related
Comment 14 Jonathan Kamens 2009-07-06 13:54:30 EDT
In my Beagle log with current F11 beagle packages from koji:

20090706 13:46:16.6961 10089 Beagle  WARN EX: Caught exception in DoTaskReal
20090706 13:46:16.6961 10089 Beagle  WARN EX:         Tag: ThunderbirdIndexer
20090706 13:46:16.6961 10089 Beagle  WARN EX:     Creator: 
20090706 13:46:16.6961 10089 Beagle  WARN EX: Description: 
20090706 13:46:16.6961 10089 Beagle  WARN EX:    Priority: Delayed (0)
20090706 13:46:16.6961 10089 Beagle  WARN EX: System.NullReferenceException: Object reference not set to an instance of an object
20090706 13:46:16.6961 10089 Beagle  WARN EX:   at Beagle.Daemon.ThunderbirdQueryable.ThunderbirdIndexableGenerator.GetStubMessage (System.Xml.XmlDocument document) [0x00000] 
20090706 13:46:16.6961 10089 Beagle  WARN EX:   at Beagle.Daemon.ThunderbirdQueryable.ThunderbirdIndexableGenerator.ToAddMailMessageIndexable (System.Xml.XmlDocument document) [0x00000] 
20090706 13:46:16.6961 10089 Beagle  WARN EX:   at Beagle.Daemon.ThunderbirdQueryable.ThunderbirdIndexableGenerator.GetNextIndexable () [0x00000] 
20090706 13:46:16.6961 10089 Beagle  WARN EX:   at Beagle.Daemon.LuceneQueryable+AddGeneratorTask.DoTaskReal () [0x00000] 
20090706 13:46:16.6961 10089 Beagle  WARN EX:   at Beagle.Util.Scheduler+Task.DoTask () [0x00000] 
20090706 13:46:32.6478 10089 Beagle  WARN: bibparse is not found; bibtex files will not be indexed
20090706 13:46:58.2860 10089 Beagle  WARN EX: Caught exception in DoTaskReal
20090706 13:46:58.2860 10089 Beagle  WARN EX:         Tag: ThunderbirdIndexer
20090706 13:46:58.2860 10089 Beagle  WARN EX:     Creator: 
20090706 13:46:58.2860 10089 Beagle  WARN EX: Description: 
20090706 13:46:58.2860 10089 Beagle  WARN EX:    Priority: Delayed (0)
20090706 13:46:58.2860 10089 Beagle  WARN EX: System.ArgumentNullException: Argument cannot be null.
20090706 13:46:58.2860 10089 Beagle  WARN EX: Parameter name: value
20090706 13:46:58.2860 10089 Beagle  WARN EX:   at GMime.InternetAddressList.Add (GMime.InternetAddress addr) [0x00000] 
20090706 13:46:58.2860 10089 Beagle  WARN EX:   at Beagle.Daemon.ThunderbirdQueryable.ThunderbirdIndexableGenerator.GetStubMessage (System.Xml.XmlDocument document) [0x00000] 
20090706 13:46:58.2860 10089 Beagle  WARN EX:   at Beagle.Daemon.ThunderbirdQueryable.ThunderbirdIndexableGenerator.ToAddMailMessageIndexable (System.Xml.XmlDocument document) [0x00000] 
20090706 13:46:58.2860 10089 Beagle  WARN EX:   at Beagle.Daemon.ThunderbirdQueryable.ThunderbirdIndexableGenerator.GetNextIndexable () [0x00000] 
20090706 13:46:58.2860 10089 Beagle  WARN EX:   at Beagle.Daemon.LuceneQueryable+AddGeneratorTask.DoTaskReal () [0x00000] 
20090706 13:46:58.2860 10089 Beagle  WARN EX:   at Beagle.Util.Scheduler+Task.DoTask () [0x00000]
Comment 15 udo 2009-07-06 13:57:53 EDT
I see similar.
Comment 16 Takanori MATSUURA 2009-09-04 04:14:02 EDT
Now gmime-2.4.9 has been released which includes the fix for comment #4.

I'd like to release updated gmime for both Rawhide and F11.
Comment 17 Takanori MATSUURA 2009-09-05 10:14:10 EDT
(In reply to comment #16)
> I'd like to release updated gmime for both Rawhide and F11.  

I hope the maintainer will release the updated version of gmime.
I have no permission to release packages. :-(
Comment 18 udo 2009-10-08 11:56:24 EDT
tb 3.0b4 here now.
I get this error when trying to enable beagle in tb:
An error occurred while indexing. Error description: TypeError: this.CurrentFolder.path is undefined

libbeagle-0.3.9-3.fc11.x86_64
beagle-firefox-0.3.9-9.fc11.x86_64
beagle-gnome-0.3.9-9.fc11.x86_64
beagle-thunderbird-0.3.9-9.fc11.x86_64
beagle-0.3.9-9.fc11.x86_64

$ rpm -q gmime-sharp gmime 
gmime-sharp-2.4.3-6.fc11.x86_64
gmime-2.4.3-6.fc11.x86_64
$ rpm -ql gmime 
/usr/bin/gmimeuudecode
/usr/bin/gmimeuuencode
/usr/lib64/libgmime-2.4.so.2
/usr/lib64/libgmime-2.4.so.2.4.3
/usr/share/doc/gmime-2.4.3
/usr/share/doc/gmime-2.4.3/AUTHORS
/usr/share/doc/gmime-2.4.3/COPYING
/usr/share/doc/gmime-2.4.3/README
/usr/share/doc/gmime-2.4.3/TODO
Comment 19 udo 2009-10-08 12:03:40 EDT
and:

20091003 14:14:30.6970 04823 Beagle ERROR EX: Caught exception while instantiating Thunderbird backend
20091003 14:14:30.6970 04823 Beagle ERROR EX: System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.DllNotFoundException: libgmime-2.0.so.2.4.3
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at (wrapper managed-to-native) GMime.Global:g_mime_init (int)
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at GMime.Global.Init () [0x00000] 
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at Beagle.Daemon.ThunderbirdQueryable.ThunderbirdQueryable..ctor () [0x00000] 
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at (wrapper managed-to-native) System.Reflection.MonoCMethod:InternalInvoke (object,object[],System.Exception&)
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at System.Reflection.MonoCMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] 
20091003 14:14:30.6970 04823 Beagle ERROR EX:   --- End of inner exception stack trace ---
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at System.Reflection.MonoCMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] 
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at System.Reflection.MonoCMethod.Invoke (BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] 
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at System.Reflection.ConstructorInfo.Invoke (System.Object[] parameters) [0x00000] 
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at System.Activator.CreateInstance (System.Type type, Boolean nonPublic) [0x00000] 
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at System.Activator.CreateInstance (System.Type type) [0x00000] 
20091003 14:14:30.6970 04823 Beagle ERROR EX:   at Beagle.Daemon.QueryDriver.ScanAssemblyForQueryables (System.Reflection.Assembly assembly) [0x00000]
Comment 20 Julian Sikorski 2009-11-17 16:19:36 EST
Hmm, I just tried fixing the config file on F12 and while there are no more errors in the log, the beagle icon in thunderbird is continuously grey, with a red disabled sign. Clicking it does not change anything.
Comment 21 Fedora Update System 2009-11-18 09:39:25 EST
gmime-2.4.11-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gmime-2.4.11-1.fc12
Comment 22 udo 2009-11-18 09:46:35 EST
Can we use that rpm with Fedora 11 as well?
Comment 23 Julian Sikorski 2009-11-18 09:53:25 EST
I'm not sure, but you could certainly try. If it does not decide to pull half of Fedora 12 to satisfy its dependencies, it should work.
I was advised against pushing 2.4.11 to Fedora 11, unfortunately. I think that if the thunderbird extension can be made to work with fixed gmime-sharp, a backport could be possible.
Now, since the updated package only solves one issue preventing the extension from working, introducing the update to F11 is too risky.
Also, please note that I'm not the gmime maintainer, I'm just helping out.
Comment 24 Julian Sikorski 2009-11-19 07:17:44 EST
With gmime issue out of the way, I'm CC-ing the beagle owner.
Comment 25 Jonathan Kamens 2009-11-22 07:03:04 EST
I just brought my system up-to-date from rawhide and installed beagle-thunderbird-0.3.9-15.fc12, and this still isn't working.  Now I'm getting this in my beagle log:

20091122 07:00:38.5483 03468 Beagle ERROR EX: Caught exception while instantiating Thunderbird backend
20091122 07:00:38.5483 03468 Beagle ERROR EX: System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.TypeLoadException: Could not load type 'Mono.Data.Sqlite.SqliteBusyException' from assembly 'Mono.Data.Sqlite, Version=2.0.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756'.
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at Beagle.Daemon.TextCache..ctor (System.String storage_dir, Boolean read_only) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at Beagle.Daemon.TextCache..ctor (System.String storage_dir) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at Beagle.Daemon.TextCache.get_UserCache () [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at Beagle.Daemon.LuceneQueryingDriver..ctor (System.String index_name, Int32 minor_version, Boolean read_only) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at Beagle.Daemon.LuceneQueryable.BuildLuceneQueryingDriver (System.String index_name, Int32 minor_version, Boolean read_only_mode) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at Beagle.Daemon.LuceneQueryable..ctor (System.String index_name, Int32 minor_version, Boolean read_only_mode) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at Beagle.Daemon.LuceneQueryable..ctor (System.String index_name, Int32 minor_version) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at Beagle.Daemon.ThunderbirdQueryable.ThunderbirdQueryable..ctor () [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at (wrapper managed-to-native) System.Reflection.MonoCMethod:InternalInvoke (object,object[],System.Exception&)
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at System.Reflection.MonoCMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   --- End of inner exception stack trace ---
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at System.Reflection.MonoCMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at System.Reflection.MonoCMethod.Invoke (BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at System.Reflection.ConstructorInfo.Invoke (System.Object[] parameters) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at System.Activator.CreateInstance (System.Type type, Boolean nonPublic) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at System.Activator.CreateInstance (System.Type type) [0x00000] 
20091122 07:00:38.5483 03468 Beagle ERROR EX:   at Beagle.Daemon.QueryDriver.ScanAssemblyForQueryables (System.Reflection.Assembly assembly) [0x00000] 

I'm not sure, but this may be a different problem than the one that was happening before.
Comment 26 Alexander Larsson 2009-11-24 05:23:16 EST
With gmime fixed (at least for F12), reassigning back to beagle for the other issues.
Comment 27 udo 2009-11-30 11:36:25 EST
Still the case in F12.
Why did we roll out this release?
To make a change?
Comment 28 Juan Manuel Rodriguez 2009-11-30 11:58:38 EST
I maintain the beagle package, and have attempted to contact upstream regarding this bug. It seems like beagle is currently unmaintained, and while I can make rpms, I'm in no position to fix a bug like this. 

Ideas?
Comment 29 Takanori MATSUURA 2009-11-30 20:49:10 EST
(In reply to comment #28)

Does 'unmaintained' means this?
http://mail.gnome.org/archives/dashboard-hackers/2009-September/msg00005.html
Comment 30 Juan Manuel Rodriguez 2009-11-30 21:03:12 EST
(In reply to comment #29)
> (In reply to comment #28)
> 
> Does 'unmaintained' means this?
> http://mail.gnome.org/archives/dashboard-hackers/2009-September/msg00005.html  

Yes, if no developer is around to wrap things up or even fix bugs, the package is unmaintained. 

I could package the current trunk, and see if that fixes this bug, but I won't have a testing machine until Dec. 15 (When my new laptop arrives). 

In any case, I think halting usage of beagle, and changing to Tracker ( http://freedesktop.org/wiki/Software/Tracker ) or any other beagle-like program is highly recommended at this point.
Comment 31 Fedora Update System 2009-12-07 02:22:40 EST
gmime-2.4.11-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 udo 2009-12-19 09:37:54 EST
thunderbird-3.0-4.fc12.x86_64
thunderbird-enigmail-1.0.0-1.fc12.x86_64
thunderbird-lightning-1.0-0.16.20090916hg.fc12.x86_64
beagle-thunderbird-0.3.9-15.fc12.x86_64

still seeing the problem.
Comment 33 udo 2010-05-15 08:23:57 EDT
$ rpm -q gmime
gmime-2.4.11-1.fc12.x86_64

So what can we do next?
Comment 34 Bug Zapper 2010-11-04 07:27:23 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 35 udo 2010-11-04 13:31:47 EDT
Nothing was done. So the problem disappears?
Comment 36 Fedora Admin XMLRPC Client 2011-02-24 09:05:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 37 Bug Zapper 2011-06-02 14:13:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 38 Bug Zapper 2011-06-27 10:07:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 39 udo 2011-06-27 10:15:16 EDT
As a workaround I can suggest the `tracker` package which /is/ maintained.

Note You need to log in before you can comment on or make changes to this bug.